tuple File Reference

Go to the source code of this file.

## Namespaces

namespace | std

## Macros

#define | __cpp_lib_experimental_tuple
#define | _GLIBCXX_EXPERIMENTAL_TUPLE

## Functions

template<typename _Fn , typename _Tuple , std::size_t... _Idx>
constexpr decltype(auto) | std::experimental::__apply_impl (_Fn &&__f, _Tuple &&__t, std::index_sequence< _Idx... >)
template<typename _Fn , typename _Tuple >
constexpr decltype(auto) | std::experimental::apply (_Fn &&__f, _Tuple &&__t)

## Variables

template<typename _Tp >
constexpr size_t | std::experimental::tuple_size_v

## Detailed Description

This is a TS C++ Library header.

Definition in file experimental/tuple.

## Macro Definition Documentation

## __cpp_lib_experimental_tuple

#define __cpp_lib_experimental_tuple

Definition at line 52 of file experimental/tuple.

## _GLIBCXX_EXPERIMENTAL_TUPLE

#define _GLIBCXX_EXPERIMENTAL_TUPLE

Definition at line 30 of file experimental/tuple.

## Function Documentation

## __apply_impl()

template<typename _Fn , typename _Tuple , std::size_t... _Idx>

constexpr decltype(auto) std::experimental::fundamentals_v1::__apply_impl | ( | _Fn && | __f,
|  | _Tuple && | __t,
|  | std::index_sequence< _Idx... > |
| ) |  |

constexpr

Definition at line 56 of file experimental/tuple.

## apply()

template<typename _Fn , typename _Tuple >

constexpr decltype(auto) std::experimental::fundamentals_v1::apply | ( | _Fn && | __f,
|  | _Tuple && | __t
| ) |  |

constexpr

Definition at line 64 of file experimental/tuple.

## Variable Documentation

## tuple_size_v

template<typename _Tp >

constexpr size_t std::experimental::fundamentals_v1::tuple_size_v

constexpr

Definition at line 50 of file experimental/tuple.